cc.Class({
    extends: cc.Component,

    properties: {
        alchemy:cc.Node,
        gold:cc.Label,
    },

    onLoad: function () {
    },


    click:function(){
        let rate = require("data_3").alchemyFurnace[0];
        this.gold.string = parseInt(this.gold.string) + 1*rate;
        var actionBy = cc.scaleTo(0.1, 1.5);
        var actionBy2 = cc.scaleTo(0.1, 1);
        let action = cc.sequence(actionBy,actionBy2);
        this.gold.node.runAction(action);
        
    },
});
